# Notify all devices or teams

**The targeting is based on which API key you specify in the request:**&#x20;

* If you use you account API key the notification will be send to all devices in **your account**.
* If you specify a team API key then the notification will be send to **all devices for every member in the team**.

> Your API Key is required for making any requests using our API, you can find it inside the console integrations page (<https://push.techulus.com/console/integrations>) or `Account` tab in mobile app. Team API keys can be found in the team details screen.

{% hint style="info" %}
**The authentication header (API Key) to be specified in the request is `x-api-key`**
{% endhint %}

### There are several ways you can make this request:&#x20;

{% openapi src="/files/tjtk47c4EN3AhovsKzpZ" path="/notify" method="post" %}
[openapi.yaml](https://3949046982-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-Lt89BeSuYfwUX8PpQ6V%2Fuploads%2FmJuOUe5RPz05aOwYDuY5%2Fopenapi.yaml?alt=media\&token=8da10805-d5b6-4423-9819-04f51986ab5d)
{% endopenapi %}

{% openapi src="/files/tjtk47c4EN3AhovsKzpZ" path="/notify/{apiKey}" method="get" %}
[openapi.yaml](https://3949046982-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-Lt89BeSuYfwUX8PpQ6V%2Fuploads%2FmJuOUe5RPz05aOwYDuY5%2Fopenapi.yaml?alt=media\&token=8da10805-d5b6-4423-9819-04f51986ab5d)
{% endopenapi %}

{% openapi src="/files/tjtk47c4EN3AhovsKzpZ" path="/notify/{apiKey}" method="post" %}
[openapi.yaml](https://3949046982-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-Lt89BeSuYfwUX8PpQ6V%2Fuploads%2FmJuOUe5RPz05aOwYDuY5%2Fopenapi.yaml?alt=media\&token=8da10805-d5b6-4423-9819-04f51986ab5d)
{% endopenapi %}

### We recommend the asynchronous API if you've more than 10 devices:

{% openapi src="/files/tjtk47c4EN3AhovsKzpZ" path="/notify-async" method="post" %}
[openapi.yaml](https://3949046982-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-Lt89BeSuYfwUX8PpQ6V%2Fuploads%2FmJuOUe5RPz05aOwYDuY5%2Fopenapi.yaml?alt=media\&token=8da10805-d5b6-4423-9819-04f51986ab5d)
{% endopenapi %}

### Sample Request body

```
{
    "title": "Welcome to Push by Techulus",
    "body": "This is your first notification"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.push.techulus.com/api-documentation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
